org.apache.ignite.internal.processors.cache.query

## Class GridCacheQuerySqlMetadataV2

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.query.GridCacheQueryManager.CacheSqlMetadata
  - - org.apache.ignite.internal.processors.cache.query.GridCacheQuerySqlMetadataV2

All Implemented Interfaces:
  Externalizable, Serializable, GridCacheSqlMetadata

    public class GridCacheQuerySqlMetadataV2
    extends GridCacheQueryManager.CacheSqlMetadata

Cache metadata with not null field.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridCacheQuerySqlMetadataV2()` Required by `Externalizable`.

### Method Summary

All Methods Instance Methods Concrete Methods
`Collection<String>` `notNullFields(String type)` Gets not null fields.
`void` `readExternal(ObjectInput in)`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class org.apache.ignite.internal.processors.cache.query.GridCacheQueryManager.CacheSqlMetadata

`cacheName, fields, fields, indexes, indexes, keyClass, keyClasses, toString, types, valClasses, valueClass`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridCacheQuerySqlMetadataV2

    public GridCacheQuerySqlMetadataV2()

Required by `Externalizable`.

### Method Detail

#### notNullFields

    public Collection<String> notNullFields(String type)

Gets not null fields.

Specified by:
  `notNullFields` in interface `GridCacheSqlMetadata`
Overrides:
  `notNullFields` in class `GridCacheQueryManager.CacheSqlMetadata`
Parameters:
  `type` - Type name.
Returns:
  Not null fields collection map or `null` if type name is unknown.

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Overrides:
  `writeExternal` in class `GridCacheQueryManager.CacheSqlMetadata`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Overrides:
  `readExternal` in class `GridCacheQueryManager.CacheSqlMetadata`
Throws:
  `IOException`
  `ClassNotFoundException`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018